"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LemonEditor = void 0;
const lang_markdown_1 = require("@codemirror/lang-markdown");
const state_1 = require("@codemirror/state");
const view_1 = require("@codemirror/view");
const codemirror_1 = require("codemirror");
class LemonEditor {
    constructor(config) {
        // Create a collection of all the extensions.
        this.extensions = [
            view_1.keymap.of([{ key: 'Enter', run: () => { config.onSubmit(); return true; } }]),
            codemirror_1.minimalSetup,
            (0, lang_markdown_1.markdown)()
        ];
        // Initialize the editor view.
        this.view = new codemirror_1.EditorView({
            doc: config.content,
            extensions: this.extensions,
            parent: config.container,
        });
    }
    /** The current contents of the editor */
    get value() {
        return this.view.state.doc.toString();
    }
    /** Clear the contents of the editor */
    clear() {
        // Create a new state with an empty document.
        this.view.setState(state_1.EditorState.create({
            extensions: this.extensions,
        }));
    }
}
exports.LemonEditor = LemonEditor;
